# Uses of Class
io.dapr.v1.DaprProtos.EncryptResponse

Packages that use DaprProtos.EncryptResponse
Package
Description
io.dapr.v1

## Uses of DaprProtos.EncryptResponse in io.dapr.v1

Methods in io.dapr.v1 that return DaprProtos.EncryptResponse
Modifier and Type
Method
Description
`DaprProtos.EncryptResponse`
DaprProtos.EncryptResponse.Builder.`build()`
`DaprProtos.EncryptResponse`
DaprProtos.EncryptResponse.Builder.`buildPartial()`
`static DaprProtos.EncryptResponse`
DaprProtos.EncryptResponse.`getDefaultInstance()`
`DaprProtos.EncryptResponse`
DaprProtos.EncryptResponse.Builder.`getDefaultInstanceForType()`
`DaprProtos.EncryptResponse`
DaprProtos.EncryptResponse.`getDefaultInstanceForType()`
`static DaprProtos.EncryptResponse`
DaprProtos.EncryptResponse.`parseDelimitedFrom(InputStream input)`
`static DaprProtos.EncryptResponse`
DaprProtos.EncryptResponse.`parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.EncryptResponse`
DaprProtos.EncryptResponse.`parseFrom(byte[] data)`
`static DaprProtos.EncryptResponse`
DaprProtos.EncryptResponse.`parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.EncryptResponse`
DaprProtos.EncryptResponse.`parseFrom(com.google.protobuf.ByteString data)`
`static DaprProtos.EncryptResponse`
DaprProtos.EncryptResponse.`parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.EncryptResponse`
DaprProtos.EncryptResponse.`parseFrom(com.google.protobuf.CodedInputStream input)`
`static DaprProtos.EncryptResponse`
DaprProtos.EncryptResponse.`parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.EncryptResponse`
DaprProtos.EncryptResponse.`parseFrom(InputStream input)`
`static DaprProtos.EncryptResponse`
DaprProtos.EncryptResponse.`parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.EncryptResponse`
DaprProtos.EncryptResponse.`parseFrom(ByteBuffer data)`
`static DaprProtos.EncryptResponse`
DaprProtos.EncryptResponse.`parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
Methods in io.dapr.v1 that return types with arguments of type DaprProtos.EncryptResponse
Modifier and Type
Method
Description
`static io.grpc.MethodDescriptor<DaprProtos.EncryptRequest,DaprProtos.EncryptResponse>`
DaprGrpc.`getEncryptAlpha1Method()`
`com.google.protobuf.Parser<DaprProtos.EncryptResponse>`
DaprProtos.EncryptResponse.`getParserForType()`
`static com.google.protobuf.Parser<DaprProtos.EncryptResponse>`
DaprProtos.EncryptResponse.`parser()`
Methods in io.dapr.v1 with parameters of type DaprProtos.EncryptResponse
Modifier and Type
Method
Description
`DaprProtos.EncryptResponse.Builder`
DaprProtos.EncryptResponse.Builder.`mergeFrom(DaprProtos.EncryptResponse other)`
`static DaprProtos.EncryptResponse.Builder`
DaprProtos.EncryptResponse.`newBuilder(DaprProtos.EncryptResponse prototype)`
Method parameters in io.dapr.v1 with type arguments of type DaprProtos.EncryptResponse
Modifier and Type
Method
Description
`default io.grpc.stub.StreamObserver<DaprProtos.EncryptRequest>`
DaprGrpc.AsyncService.`encryptAlpha1(io.grpc.stub.StreamObserver<DaprProtos.EncryptResponse> responseObserver)`
EncryptAlpha1 encrypts a message using the Dapr encryption scheme and a key stored in the vault.
`io.grpc.stub.StreamObserver<DaprProtos.EncryptRequest>`
DaprGrpc.DaprStub.`encryptAlpha1(io.grpc.stub.StreamObserver<DaprProtos.EncryptResponse> responseObserver)`
EncryptAlpha1 encrypts a message using the Dapr encryption scheme and a key stored in the vault.